#217 closed defect (fixed)

Fix for m68k Idle task

Reported by: brett.swimley Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: arch/m68k Version: 4.5
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The MCF5272 Coldfire has a problem with the fast ethernet controller if a "stop" instruction is executed while a frame is being transmitted.

I previously submitted a patch which provided a custom Idle task for the m68k family of processors which was implemented as follows:

void _CPU_Thread_Idle_body ()
{

while(1) {

asm volatile (" stop #0x2000" );

}

}

The "tight loop" Generic idle body causes problems with the ColdFire? BDM port with the BDM being able to get bus access cycles.

The consensus was that the stop instruction was the correct implementation.

Release:
RTEMS-4.5

Environment:
MCF5272 Coldfire

How-To-Repeat:
ping the MCF5272 with the FEC driver installed and the network up and running.

Change History (4)

comment:1 Changed on May 14, 2002 at 5:51:46 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Aug 14, 2002 at 9:43:59 PM by Joel Sherrill

Status: waitingassigned

comment:3 Changed on Aug 21, 2002 at 4:42:12 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: working->closed
State-Changed-Why: Patch committed in CVS. See the next snapshot. Thanks

for hanging with me as it took a while to do the file
movement required.

comment:4 Changed on Oct 10, 2017 at 6:36:54 AM by Sebastian Huber

Component: patch - do not usearch/m68k
Note: See TracTickets for help on using tickets.